% ddebsp.m
% Kapitel 4.1.3
% Differentialgleichungen mit Totzeiten

set(0,'DefaultLineLineWidth',[1.0]);

% Zeitspanne
tspan = [0 6];
% Verzgerungszeiten
tau = [1, 0.5];
% Optionen setzen
options = ddeset('InitialY',[0;0]);
% Lsung der DGL
loesung = dde23(@xpunkt_ddebsp, tau, @hist_ddebsp, tspan, options);
% grafische Auswertung
tint = linspace(0, 6, 60); x = deval(loesung, tint);
subplot(211); plot(tint,x(1,:),tint,x(2,:))
axis([0 6 -2 3])
grid on
xlabel('Zeit [s]');title('DGL mit Totzeiten')
legend('x_1(t)','x_2(t)',1)

% print -depsc ddebsp.eps
