% dgl_pendel_jacobi.m
% Kapitel 4.1.1
% Lsung der DGL des Pendels unter Verwendung der Jacobi-Matrix

% Anfangswerte, Zeitspanne
x0 = [15/360*2*pi; 0];
tspan = [0 40];
% Geometrie, Masse, Reibung
l = 5; m = 30; Fr = 4;
options = odeset('Jacobian', @Fjacobi);
% Integration der DGL
[t x] = ode15s(@xpunkt_pendel2, tspan, x0, options, l, m, Fr);

% grafische Ausgabe von phi und phipunkt
phi = x(:,1); phipunkt = x(:,2);
subplot(211)
plot(t,phi,t,phipunkt)
axis([0 40 -0.5 0.4])
grid on
xlabel('Zeit [s]');title('Pendelbewegung')
legend('phi [rad]','phipunkt [rad/s]',4)
