% lsg_federmasse.m, Martin Rau
% Kapitel 4.4.1
% Lsung der DGL des Feder-Masse-Schwingers

% Masse, Federkonstante, Dmpfung
m0 = 5; c = 150; d = 1;
% Zeit, Anfangswerte
tspan=[0 20]; x0=[0.2; 0];
% Lsung der DGL
[t, x] = ode45(@xpunkt_federmasse,tspan,x0,[],m0,c,d);
% grafische Ausgabe
subplot(211); plot(t,x(:,1),t,x(:,2));
legend('Weg','Geschwindigkeit',4); xlabel('Zeit [s]');
title('Lsungsverlauf'); axis([0 20 -1.2 1.1]); grid on
subplot(212); plot(t, m0-4/20*t);
xlabel('Zeit [s]'); title('Masseverlauf');
axis([0 20 0 5]); grid on

% print -depsc lsg_federmasse.eps
